activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Timothy Bish <tabish...@gmail.com>
Subject Re: activemq would not start with jre 1.7
Date Mon, 29 Jul 2013 13:20:01 GMT
On 07/25/2013 10:26 AM, gxl5271 wrote:
> My application works fine with jre1.6, but has problem with jre1.7 in the
> windows environment.
>
> My activemq is 5.6.
>
> Here is the exception
>
> 2013-07-24 15:21:57,874 [ActiveMQ Transport Server: tcp://localhost:61716]
> ERROR org.apache.activemq.broker.TransportConnector - Could not accept
> connection : java.lang.ClassCastException:
> com.kronos.ngd.platform.base.appplatform.socketfactory.RestrictedSocketImpl
> cannot be cast to java.net.PlainSocketImpl
> 2013-07-24 15:21:57,874 [ActiveMQ Transport Server: tcp://localhost:61716]
> ERROR org.apache.activemq.broker.TransportConnector - Could not accept
> connection : java.lang.ClassCastException:
> com.kronos.ngd.platform.base.appplatform.socketfactory.RestrictedSocketImpl
> cannot be cast to java.net.PlainSocketImpl
> 2013-07-24 15:21:57,874 [NetworkServerThread_61] INFO root -
> INTOUCH;0;DEBUG;DERBY;Wed Jul 24 15:21:57 GMT 2013 :
> com.kronos.ngd.platform.base.appplatform.socketfactory.RestrictedSocketImpl
> cannot be cast to java.net.PlainSocketImpl
>
>
> I appreciate that someone can explain why this is happening.
>
> Thanks!
>
>
>
>
> --
> View this message in context: http://activemq.2283324.n4.nabble.com/activemq-would-not-start-with-jre-1-7-tp4669725.html
> Sent from the ActiveMQ - User mailing list archive at Nabble.com.
>
This version only works with Java 1.6 there's no guarantee for 1.7 
compat.  Did you try using a JDK instead of a JRE?

-- 
Tim Bish
Sr Software Engineer | RedHat Inc.
tim.bish@redhat.com | www.fusesource.com | www.redhat.com
skype: tabish121 | twitter: @tabish121
blog: http://timbish.blogspot.com/


Mime
View raw message